package com.example.layouttest;

import com.vaadin.Application;
import com.vaadin.event.EventRouter;
import com.vaadin.ui.Window;

@SuppressWarnings("serial")
public class LayoutTestApplication extends Application {
	
	private EventRouter eventBus = new EventRouter();
	
	@Override
	public void init() {
        Window mainWindow = new Window();
        mainWindow.setDebugId("MainWindow");
        setMainWindow(mainWindow);
        AppController mainController = new AppController(eventBus);
        mainController.go(getMainWindow());
	}

}
