/**
 * 
 */
package com.example.layouttest.view;

import com.example.layouttest.event.ShowEditorsViewEvent;
import com.vaadin.event.EventRouter;
import com.vaadin.ui.Button;
import com.vaadin.ui.Label;
import com.vaadin.ui.VerticalLayout;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.ui.Button.ClickListener;
import com.vaadin.ui.themes.BaseTheme;

@SuppressWarnings("serial")
public class AnotherView extends VerticalLayout {
    
	EventRouter eventBus;
    
    public AnotherView(EventRouter eventBus) {
        this.eventBus = eventBus;
        
        addComponent(new Label("AnotherView"));
        
        Button btnBack = new Button("Back");
        btnBack.setStyleName(BaseTheme.BUTTON_LINK);
        btnBack.addListener(new ClickListener() {
            
            @Override
            public void buttonClick(ClickEvent event) {
            	AnotherView.this.eventBus.fireEvent(new ShowEditorsViewEvent(this));
            }
        });
        addComponent(btnBack);
    }
}
