package com.example.layouttest.view;

import com.vaadin.event.EventRouter;
import com.vaadin.ui.Label;
import com.vaadin.ui.Panel;
import com.vaadin.ui.VerticalLayout;

public class AppView extends VerticalLayout {

    private static final long serialVersionUID = 1L;

    EventRouter eventBus;
    private Panel mainPanel;
    
    public AppView(EventRouter eventBus) {
    	this.eventBus = eventBus;

        addComponent(new Label("AppView (Showcase for Rendering Issue)"));
        // Main pane
        mainPanel = new Panel();
        addComponent(mainPanel);
        
        addComponent(new Label("FOOTER"));
    }
    
    public Panel getMainPanel() {
    	return mainPanel;
    }
}
